#
# spec file for package gnome-system-monitor (Version 2.24.1)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           gnome-system-monitor
BuildRequires:  docbook-xsl-stylesheets
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  gconf2-devel
BuildRequires:  glib2-devel
BuildRequires:  gnome-common
BuildRequires:  gnome-doc-utils-devel
BuildRequires:  gnome-icon-theme-devel
BuildRequires:  gnome-vfs2-devel
BuildRequires:  gtk2-devel
BuildRequires:  gtkmm2-devel
BuildRequires:  intltool
BuildRequires:  libglade2-devel
BuildRequires:  libgnomeui-devel
BuildRequires:  libgtop-devel
BuildRequires:  librsvg-devel
BuildRequires:  libwnck-devel
BuildRequires:  libxml2-devel
BuildRequires:  perl-XML-Parser
BuildRequires:  scrollkeeper
BuildRequires:  update-desktop-files
BuildRequires:  hal-devel hwinfo-devel
License:        GPL v2 or later
Group:          System/GUI/GNOME
Version:        2.24.1
Release:        2
Source0:        ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-monitor/2.24/%{name}-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM bgo#566962 - hfiguiere@novell.com
Patch0:         gnome-system-monitor-bgo566962-leaks.diff
# FATE 302198 - hfiguiere@novell.com
Patch1:         gnome-system-monitor-fate302198.diff
# FATE 304741  - hfiguiere@novell.com
Patch2:         gnome-system-monitor-fate304741.diff
Url:            http://www.gnome.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        A Simple Process Monitor
Requires:       gnome-icon-theme
Requires:       %{name}-lang = %{version}
%gconf_schemas_prereq

%description
GNOME-system-monitor (formerly Procman) is a simple process and system
monitor for the GNOME 2.x Desktop.



Authors:
--------
    Kevin Vandersloot <kfv101@psu.edu>
    Erik Johnsson <zaphod@linux.nu>

%lang_package
%prep
%setup -q
%patch0 -p0
%patch1
%patch2 -p1

%build
autoreconf -si
%configure \
    --disable-scrollkeeper \
    --enable-pcrecpp
%__make %{?jobs:-j%jobs}

%install
%makeinstall
# Icon is installed in GNOME-only path:
ln -s ../icons/gnome/32x32/apps/utilities-system-monitor.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/
echo DocPath=gnome-system-monitor >> $RPM_BUILD_ROOT%{_datadir}/applications/gnome-system-monitor.desktop
%suse_update_desktop_file -N "GNOME System Monitor" gnome-system-monitor System Monitor
%find_lang %{name}
%find_gconf_schemas
cat %{name}.schemas_list >%{name}.lst
%fdupes $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%pre -f %{name}.schemas_pre
%posttrans -f %{name}.schemas_posttrans

%preun -f %{name}.schemas_preun

%files -f %{name}.lst
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/gnome-system-monitor
%{_datadir}/applications/gnome-system-monitor.desktop
%{_datadir}/pixmaps/*.png
%{_datadir}/pixmaps/gnome-system-monitor
%dir %{_datadir}/omf/gnome-system-monitor
%{_datadir}/omf/gnome-system-monitor/*.omf

%files lang -f %{name}.lang

%changelog
* Wed Jan 07 2009 hfiguiere@suse.de
- Add gnome-system-monitor-bgo566962-leaks.diff
  * Fix memory leaks (bgo#566962)
* Tue Oct 21 2008 mboman@suse.de
- Update to version 2.24.1:
  + Translation updates
* Tue Sep 23 2008 mboman@suse.de
- Update to version 2.24.0:
  + Translation updates
* Fri Sep 12 2008 hfiguiere@suse.de
- Add gnome-system-monitor-fate304741.diff
  * FATE#304741: add a thinkpad ACPI tab. (only on thinkpad)
* Tue Sep 09 2008 hfiguiere@suse.de
- Add gnome-system-monitor-fate302198.diff
  * FATE 302198: add a hardware tab in g-s-m.
  * new requirements: hal and hwinfo.
  * call autoreconf in the spec.
* Mon Sep 01 2008 mboman@novell.com
- Update to version 2.23.91:
  + Fixed bgo#549383 – network assertion in the resource tab.
* Tue Aug 26 2008 mboman@novell.com
- Update to version 2.23.90:
  + Fixed truncated process names.
* Tue Aug 05 2008 captain.magnus@opensuse.org
- Update to version 2.23.6:
  + Don't segfault in the disk list when icon cannot be retried from gvfs.
  + Fixed network speed when there are pseudo-devices with no address.
* Wed Jun 25 2008 maw@suse.de
- Update to version 2.23.3:
  + New option to start with the system tab
  + Port to gio
  + Misc new features
  + Bug fixes
- Drop the following upstreamed patches:
  gnome-system-monitor-sysinfo.patch and
  gnome-system-monitor-performance.patch.
* Thu May 08 2008 jpr@suse.de
- Update to version 2.22.1
  * lsof: don't crash on invalid regex (#524162).
  * graphs: fixed the time scale (#521394).
- Add gnome-system-monitor-performance.patch to Fix performance on
  certain video cards (bnc #374934)
* Thu Mar 13 2008 maw@suse.de
- Update to version 2.22.0:
  + Updated translations.
* Thu Mar 13 2008 sbrabec@suse.cz
- Custom look'n'feel gconf keys moved to gconf2-branding-openSUSE.
* Tue Mar 04 2008 maw@suse.de
- Update to version 2.21.92:
  + Dropped dependency on pcrecpp (and thus drop pcre-devel from
  BuildRequires)
  + Improved network Y-scale in the Resources tab
  + Enabled transparent theming
  + All graphs CPU colors are stored in gconf /cpu_color{n} keys
  + Non-blocking lsb_release call : may improve startup time
  + A bunch of cleanups / c++-ification.
* Fri Feb 01 2008 maw@suse.de
- Update to version 2.21.5:
  + Use more stock menu entries
  + New color pickers in the resources tab
  + Many graph improvements
  + The network graph now shows a sensible Y-scale
  + The process list can now be manually refreshed
  + Fixed kernel process' tooltips.
* Thu Dec 20 2007 jpr@suse.de
- Update to version 2.21.4
  * 'Arguments' column is now correctly escaped for markup
  (bgo #498569)
  * Graph improvements
  * Performance improvement in the process list
  * Removed space to the left of process name (bgo #307762)
  * Requires GTK+ >= 2.12.
  * Documentation update
  * Displays N/A when memory stats are not available. Memory stats
  are not available for processes like kernel ones or if the user
  can't access the  memory stats (which happens on linux sysctl
  kernel.maps_protect = 1) (bgo #487105)
  * A few cleanups replacing overcomplicated treeview usage by
  gtk_tree_view_column_set_cell_data_func.
  * Fixed liststore usage in the disk list.
  * Updated translations.
- Improve BuildRequires, removing gnutls-devel and
  libgnomeprintui-devel
* Wed Sep 19 2007 sbrabec@suse.cz
- Updated to version 2.20.0:
  * minor fixes
  * updated translations
* Fri Aug 31 2007 maw@suse.de
- Update to version 2.19.91.1:
  + Build fix
  + Fixed logo mis-rendering in the system info tab (b.g.o
  [#405739]).
* Thu Aug 30 2007 sreeves@suse.de
- fix for #253997
* Tue Aug 07 2007 maw@suse.de
- Split off a -lang subpackage.
* Thu Aug 02 2007 maw@suse.de
- Update to version 2.19.6:
  + Bugs (bugzilla.gnome.org) fixed: #459598, #460511, #455826,
  [#450545], #367016, #399069, and #451932
- Use %%fdupes.
* Fri Jul 27 2007 sbrabec@suse.cz
- Reverted libgtop-2_0-7-devel to libgtop-devel.
* Tue Jul 10 2007 maw@suse.de
- Update to version 2.19.4
  * Fixed hostname in the sysinfo tab.
  * Big cleanup of the process list code.
  * Reworded and fixed the process dependency tree.
  * Fixed crash on startup with dependencies+myprocesses.
  * pcre is back for good.
  * Use regex in the default icon table. This results in more icons :)
  * Every process now has a default icon.
  * Simplified lsof code with regex.
  * Lots of stuff git-log doesn't remember.
- From the project's official changelog:
  * Some GTKmm :)
- Also from the project's official changelog:
  * Disable pcrecpp by default. You really want to enable this
  (Your humble packager has no comment on the above, but has indeed
  enabled it.)
- Buildrequire libgtop-2_0-7-devel instead of libgtop-devel; also
  buildrequire pcre-devel.
* Fri Apr 27 2007 sbrabec@suse.cz
- Do not call meinproc (#227624).
* Wed Apr 11 2007 maw@suse.de
- Update to version 2.18.1
- Minor code cleanups
- Improved startup time
- Updated translations.
* Wed Apr 04 2007 maw@suse.de
- Update to version 2.18.0
- Cleaned up .desktop files
- b.g.o 413919, 412953, and 409427.
* Wed Mar 28 2007 jhargadon@suse.de
- added intltoolize to the specfile (#258379)
* Tue Mar 27 2007 sbrabec@suse.cz
- Build on all products (call glib-gettextize, require gcc-c++).
* Fri Mar 09 2007 maw@suse.de
- Update to version 2.17.91
- * Bézier curves by Lucas Mazzardo Veloso.
  * Moved to gnome-doc-utils by Paroz.
  * No longer depends ton libgnome.
  * Fixed bugs #374090, #352507, #328287 and #402013
  New in 2.17.6 - 22 January 2007
  * Dropped libgnomeui dependency.
  * GNOME logo enhanced by Luca Cavalli.
  * Various code improvements.
  New in 2.17.5 - 8 January 2007
  * More C++
  * Tuned the behaviour of smooth refresh.
  * A few code improvments.
  New in 2.17.4.2 - 19 December 2006
  * Fixed build with strict C++ compilers.
  New in 2.17.4.1 - 18 December 2006
  * Fixed POTFILES.in. Sorry :/
  New in 2.17.4 - 17 December 2006
  * 100%% C++.
  * Disabled libsexy because it is buggy and unmaintained.
  * Fixed build on solaris.
  New in 2.17.3 - 4 December 2006
  * Renamed the Arguments column as "Command Line".
  * Fixed gconf schema.
  * Use lsb_release when available to get distro information.
  * Disabled the process blacklist.
  * More C++ :)
  New in 2.17.2 - 5 november 2006
  * This is the first 2.17.x release.
  * New lsof feature. Temporarily requires pcre, see #367827.
  * New SysInfo tab from OpenSuse. Artwork by Baptiste Mille-Mathias.
  * Some code cleanups.
  * Fixed sensitivity of the View menu.
  * New features have been developed in C++, old C code will be soon compiled
  as C++.
* Mon Dec 18 2006 sbrabec@suse.cz
- Prefix changed to /usr.
- Spec file cleanup.
* Tue Oct 03 2006 jhargadon@suse.de
- update to version 2.16.1
- Fixed locales dir initialization
- Fixed memory maps for 64bits kernel running a 32bits system-monitor
- Fixed gksu password prompt
- Fixed a small memory leak
-  Fixed schema
* Wed Aug 30 2006 jhargadon@suse.de
- update to version 2.15.92
- Fixed LoadGraph overlay
- Fixed tiny leak
- Fixed font and alignment of various columns
* Wed Aug 23 2006 jhargadon@suse.de
- update to version 2.15.91
- Renamed Devices tab as File Systems.
- Updated translations.
- Fixed segfault is libselinux not installed.
- The disks list is now correctly updated.
- Double-click in disks list opens the corresponding volume.
- debug messages are displayed on command line if
  GNOME_SYSTEM_MONITOR_DEBUG is defined.
- No more compile dependency on libselinux.
- Process arguments with line feeds are now escaped.
- Displays scale on graphs.
- Can use libsexy to display process arguments.
- New memory column : displays estimated memory usage.
- Fixed a couple of small leaks.
* Wed Jul 19 2006 jpr@suse.de
- Call aclocal to fix build after altering configure.in in %%prep
* Tue Jun 06 2006 jimmyk@suse.de
- Modify existing gnome-system-monitor-sysinfo.patch to properly parse
  /proc/cpuinfo on ppc architecture and avoid crashing, BNC #179031.
* Mon May 22 2006 jpr@suse.de
- don't display the VERSION info from /etc/SuSE-release, its confusing
  (#177632)
* Mon May 01 2006 jpr@suse.de
- Remember the devices page if its the last used (#171137
* Wed Mar 29 2006 jpr@suse.de
- Fix page numbers to reflect prepended page (fixes #161815, #157490)
* Tue Mar 28 2006 joeshaw@suse.de
- Add a patch to show the "Resident" field by default, not the
  "Virtual memory" field.  Fixes half of bnc #157022.
* Fri Mar 24 2006 jimmyk@suse.de
- Fix for BNC #158516.
* Mon Mar 13 2006 rml@suse.de
- Update gnome-system-monitor-sysinfo.patch to not display the
  distribution release if there is no such release (e.g., on SUSE
  Linux)
* Thu Mar 02 2006 sbrabec@suse.cz
- Added support for gnome-patch-translation.
* Tue Feb 28 2006 sbrabec@suse.cz
- Use kdelibs3-doc in BuildRequires for meinproc (#153635#c14).
* Mon Feb 27 2006 jimmyk@suse.de
- added system info tab (BNC #67255)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Nov 30 2005 gekker@suse.de
- Update to version 2.12.2
* Thu Oct 13 2005 gekker@suse.de
- Update to version 2.12.1
* Mon Sep 05 2005 gekker@suse.de
- Update to version 2.12.0 (GNOME 2.12)
* Tue Aug 23 2005 gekker@suse.de
- Update to version 2.11.92
* Mon Aug 08 2005 rodrigo@suse.de
- Update to 2.11.91
* Tue Aug 02 2005 gekker@suse.de
- Update to version 2.11.90
* Fri Jul 22 2005 gekker@suse.de
- Update to version 2.11.5
* Mon Jun 20 2005 gekker@suse.de
- Update to version 2.11.3
* Wed Mar 16 2005 clahey@suse.de
- Remove patch to remove icon.
- Add patch to fix menu name.
* Wed Mar 09 2005 gekker@suse.de
- Update to version 2.10.0 (GNOME 2.10).
* Thu Mar 03 2005 gekker@suse.de
- Update to version 2.9.92
- Removed dependency on libgnomesu
* Thu Feb 10 2005 gekker@suse.de
- Update to version 2.9.91
* Fri Feb 04 2005 hhetter@suse.de
- updated to version 2.9.90
* Wed Nov 24 2004 ro@suse.de
- added suse_update_desktop_file
* Fri Nov 19 2004 ro@suse.de
- update to 2.8.0 (makes it build with recent gtk2)
* Tue Nov 02 2004 ro@suse.de
- locale rename: no -> nb
* Thu Aug 26 2004 clahey@suse.de
- Cache gnome-system-monitor help and show gnome-system-monitor in khelpcenter.
* Fri Apr 30 2004 hhetter@suse.de
- updated to 2.6.0 [GNOME2.6]
- added #neededforbuild perl-XML-Parser
* Wed Mar 17 2004 sbrabec@suse.cz
- Fixed scrollkeeper calling conventions (#36215).
* Wed Mar 10 2004 sbrabec@suse.cz
- Fixed gconf schemas installation (#33114).
* Fri Feb 20 2004 sbrabec@suse.cz
- Fixed names of GNOME2 packages.
* Thu Feb 12 2004 hhetter@suse.de
- gconf schema (de-)installation in %%post and %%postun
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Mon Sep 29 2003 hhetter@suse.de
- updated to version 2.4.0 [GNOME2.4]
* Mon Jul 14 2003 sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Mon Jun 30 2003 sbrabec@suse.cz
- Provide and obsolete procman.
* Thu Jun 26 2003 sbrabec@suse.cz
- Updated to version 2.0.5.
- Updated neededforbuild.
- Use %%find_lang.
* Mon Feb 10 2003 hhetter@suse.de
- updated to version 2.0.4 [GNOME 2.2.0]
* Tue Jan 14 2003 ro@suse.de
- added expat to neededforbuild
* Tue Oct 01 2002 sbrabec@suse.cz
- Added new package.
